<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://profile.wordpress.org/apsaraaruna
 * @since             1.0.0
 * @package           Easy_Full_Screen_Search
 *
 * @wordpress-plugin
 * Plugin Name:       Easy Full Screen Search Form
 * Plugin URI:        https://wordpress.org/plugins/easy-full-screen-search-form
 * Description:       This is a short description of what the plugin does. It's displayed in the WordPress admin area.
 * Version:           1.0.1
 * Author:            Apsara Aruna
 * Author URI:        http://profile.wordpress.org/apsaraaruna
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       easy-full-screen-search-form
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'EASY_FULL_SCREEN_SEARCH_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-easy-full-screen-search-activator.php
 */
function activate_easy_full_screen_search() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-easy-full-screen-search-activator.php';
	Easy_Full_Screen_Search_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-easy-full-screen-search-deactivator.php
 */
function deactivate_easy_full_screen_search() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-easy-full-screen-search-deactivator.php';
	Easy_Full_Screen_Search_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_easy_full_screen_search' );
register_deactivation_hook( __FILE__, 'deactivate_easy_full_screen_search' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-easy-full-screen-search.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_easy_full_screen_search() {

	$plugin = new Easy_Full_Screen_Search();
	$plugin->run();

}
run_easy_full_screen_search();
