<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://profile.wordpress.org/apsaraaruna
 * @since      1.0.0
 *
 * @package    Easy_Full_Screen_Search
 * @subpackage Easy_Full_Screen_Search/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Easy_Full_Screen_Search
 * @subpackage Easy_Full_Screen_Search/includes
 * @author     Apsara Aruna <apsara@mail.com>
 */
class Easy_Full_Screen_Search_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'easy-full-screen-search-form',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
